# signrawtransactionwithwallet {disallowed} - Dash

#### Parameters

`Transaction` - string (hex)

The transaction to sign as a serialized transaction.

`Dependencies` - array

Optional.

The previous outputs being spent by this transaction.

`SigHash` - string

The type of signature hash to use for all of the signatures performed.

You must use separate calls to the signrawtransactionwithwallet RPC if you want to use different signature hash types for different signatures. The allowed values are: ALL, NONE, SINGLE.

#### Request

```java
curl --location --request POST 'https://go.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \ 
--data-raw '{"jsonrpc": "2.0",
"method": "signrawtransactionwithwallet",
"params": [null, [{"name": "Output", "type": "object", "description": ["Optional.", "An output being spent."], "value": [{"name": "txid", "type": "string (hex)", "description": ["The TXID of the transaction the output appeared in. The TXID must be encoded in hex in RPC byte order."], "value": null}, {"name": "vout", "type": "number (int)", "description": ["The index number of the output (vout) as it appeared in its transaction, with the first output being 0."], "value": null}, {"name": "scriptPubKey", "type": "string (hex)", "description": ["The output's pubkey script encoded as hex."], "value": null}, {"name": "redeemScript", "type": "string (hex)", "description": ["Optional.", "If the pubkey script was a script hash, this must be the corresponding redeem script."], "value": null}, {"name": "amount", "type": "numeric", "description": ["The amount of Dash spent"], "value": null}]}], null],
"id": "getblock.io"}'
```

#### Response

```java
{
    "result": "null",
    "id": "getblock.io",
    "status_code": 405,
    "message": "Method not allowed"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.getblock.io/api-reference/dash-dash/dash_signrawtransactionwithwallet.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
